Bug 1010993 - [abrt] claws-mail-3.9.2-7.fc19: gdata plugin gnutls_init in _int_malloc: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.9.2-7.fc19: gdata plugin gnutls_init in _int_malloc: Proc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:e874011457d3ce1afa68765d335...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 09:04 EDT by Andrey V. Henneberg
Modified: 2015-01-05 02:36 EST (History)
3 users (show)

See Also:
Fixed In Version: claws-mail-plugins-3.11.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-30 19:49:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (91.34 KB, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: core_backtrace (21.17 KB, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: dso_list (17.20 KB, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: environ (1.29 KB, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: maps (57.81 KB, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: open_fds (1.37 KB, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: proc_pid_status (798 bytes, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details
File: var_log_messages (551 bytes, text/plain)
2013-09-23 09:04 EDT, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2013-09-23 09:04:15 EDT
Version-Release number of selected component:
claws-mail-3.9.2-7.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        claws-mail
crash_function: gnutls_init
executable:     /usr/bin/claws-mail
kernel:         3.11.1-200.fc19.i686.PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 gnutls_init at gnutls_state.c:315
 #3 g_tls_connection_gnutls_get_session at gtlsconnection-gnutls.c:475
 #4 g_tls_client_connection_gnutls_set_property at gtlsclientconnection-gnutls.c:216
 #5 object_set_property at gobject.c:1358
 #6 g_object_constructor at gobject.c:1869
 #8 g_object_new_valist at gobject.c:1836
 #9 g_initable_new_valist at ginitable.c:227
 #10 g_initable_new at ginitable.c:149
 #11 soup_socket_start_proxy_ssl at soup-socket.c:1087
 #12 soup_socket_start_ssl at soup-socket.c:1053
Comment 1 Andrey V. Henneberg 2013-09-23 09:04:20 EDT
Created attachment 801607 [details]
File: backtrace
Comment 2 Andrey V. Henneberg 2013-09-23 09:04:23 EDT
Created attachment 801608 [details]
File: cgroup
Comment 3 Andrey V. Henneberg 2013-09-23 09:04:28 EDT
Created attachment 801609 [details]
File: core_backtrace
Comment 4 Andrey V. Henneberg 2013-09-23 09:04:32 EDT
Created attachment 801610 [details]
File: dso_list
Comment 5 Andrey V. Henneberg 2013-09-23 09:04:35 EDT
Created attachment 801611 [details]
File: environ
Comment 6 Andrey V. Henneberg 2013-09-23 09:04:38 EDT
Created attachment 801612 [details]
File: exploitable
Comment 7 Andrey V. Henneberg 2013-09-23 09:04:42 EDT
Created attachment 801613 [details]
File: limits
Comment 8 Andrey V. Henneberg 2013-09-23 09:04:46 EDT
Created attachment 801614 [details]
File: maps
Comment 9 Andrey V. Henneberg 2013-09-23 09:04:50 EDT
Created attachment 801615 [details]
File: open_fds
Comment 10 Andrey V. Henneberg 2013-09-23 09:04:53 EDT
Created attachment 801617 [details]
File: proc_pid_status
Comment 11 Andrey V. Henneberg 2013-09-23 09:04:57 EDT
Created attachment 801619 [details]
File: var_log_messages
Comment 12 Michael Schwendt 2013-09-23 18:40:16 EDT
> Sep 22 12:17:16 henneberg-nb kernel: [279675.532331] claws-mail[7819]:
> segfault at 8 ip 49544100 sp bfde52c0 error 4 in libc-2.17.so[494cd000+1b8000]

> #0  0x49544100 in _int_malloc (av=av@entry=0x49688420 <main_arena>, bytes=bytes@entry=3396) at malloc.c:3631
> 3631		unlink(av, victim, bck, fwd);

Memory corruption. Not reproducible here. *When* did it happen? Does it happen *reproducibly*? And how?
Comment 13 Andrey V. Henneberg 2013-09-23 21:53:28 EDT
As far as I understand claws-mail is crashed when a network connection (Wi-Fi) lost. Some times it happens when the system wakes up but the reasons of the falling may be the same. And it crashes often. I'll try to crash it today forcibly.
Comment 14 Michael Schwendt 2013-09-24 06:50:33 EDT
> claws-mail is crashed when a network connection (Wi-Fi) lost

That is still a weak spot in Claws Mail. Losing/interrupting network connection is still a problem, especially with IMAP activity. There are several reports about it in the upstream tracker (see e.g. the link in bug 569478).

> And it crashes often

You may need to adjust your usage pattern until something is done to improve the code.

> I'll try to crash it today forcibly.

That wouldn't be helpful, unless you are in contact with an upstream developer who is working on examining the problem. http://www.claws-mail.org/MLs.php
Comment 15 Michael Schwendt 2014-05-01 10:45:12 EDT
Recently, there have been several bug-fixes upstream that will stop some of the side-effects, such as crashes when interrupting networking/IMAP session.


This will need retesting once a new version of Claws Mail (or a Test Update) will be available.
Comment 16 Fedora Update System 2014-05-26 17:17:09 EDT
claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc20,claws-mail-plugins-3.10.0-1.fc20,libetpan-1.5-1.fc20
Comment 17 Fedora Update System 2014-05-26 17:17:43 EDT
claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
Comment 18 Fedora Update System 2014-05-27 22:56:01 EDT
Package claws-mail-3.10.0-1.fc19, claws-mail-plugins-3.10.0-1.fc19, libetpan-1.5-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing claws-mail-3.10.0-1.fc19 claws-mail-plugins-3.10.0-1.fc19 libetpan-1.5-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6774/claws-mail-3.10.0-1.fc19,claws-mail-plugins-3.10.0-1.fc19,libetpan-1.5-1.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2014-05-30 19:49:06 EDT
claws-mail-3.10.0-1.fc20, claws-mail-plugins-3.10.0-1.fc20, libetpan-1.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2014-11-02 12:51:33 EST
claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc19,claws-mail-3.11.1-2.fc19,libetpan-1.6-1.fc19
Comment 21 Fedora Update System 2014-11-02 12:52:13 EST
claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc20,claws-mail-3.11.1-2.fc20,libetpan-1.6-1.fc20
Comment 22 Fedora Update System 2014-11-02 12:54:52 EST
claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/claws-mail-plugins-3.11.1-1.fc21,claws-mail-3.11.1-2.fc21,libetpan-1.6-1.fc21
Comment 23 Fedora Update System 2014-11-10 01:29:59 EST
claws-mail-plugins-3.11.1-1.fc20, claws-mail-3.11.1-2.fc20, libetpan-1.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2014-11-10 01:33:44 EST
claws-mail-plugins-3.11.1-1.fc21, claws-mail-3.11.1-2.fc21, libetpan-1.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2015-01-05 02:36:06 EST
claws-mail-plugins-3.11.1-1.fc19, claws-mail-3.11.1-2.fc19, libetpan-1.6-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.